varying vec2 vUv;
varying vec3 vPosition;

varying vec3 uAxis;
varying vec3 vAxis;

uniform float uOpacity;
uniform vec3 uColor;
uniform sampler2D uDiffuse;

void main() {
	vec2 uv = vec2(
		dot(vPosition, uAxis) + 0.5,
		dot(vPosition, vAxis) + 0.5
	);
	gl_FragColor = texture2D(uDiffuse, uv) * vec4(uColor, uOpacity);
}